Bug 444755 - Review Request: perl-Lingua-EN-Numbers-Ordinate - Perl functions for giving the ordinal form of a number given its cardinal value
Review Request: perl-Lingua-EN-Numbers-Ordinate - Perl functions for giving t...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-30 10:18 EDT by Nicolas Chauvet (kwizart)
Modified: 2008-05-31 09:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-31 09:44:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
xavier: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2008-04-30 10:18:55 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/perl-Lingua-EN-Numbers-Ordinate.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/perl-Lingua-EN-Numbers-Ordinate-1.02-1.fc8.kwizart.src.rpm
Description: Perl functions for giving the ordinal form of a number given its cardinal value
Comment 1 Xavier Bachelot 2008-05-29 06:24:49 EDT
+ source files match upstream : e92078fafd9108a137972c4e9bae9e99
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible. License text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ %clean is present.
+ package builds in mock.
+ package installs properly
+ rpmlint is silent
+ final provides and requires are sane
+ %check is present and all tests pass
+ owns the directories it creates
- doesn't own any directories it shouldn't.
The directories below are installed and owned :
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/Lingua
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/Lingua/EN
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/Lingua/EN/Numbers
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/Lingua/EN/Numbers/Ordinate
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
Comment 2 Xavier Bachelot 2008-05-29 06:48:45 EDT
maybe one of the requires is not correct : perl >= 1:5
Adding this in %prep removes it:
sed -i -e '/require 5;/d' lib/Lingua/EN/Numbers/Ordinate.pm
Comment 3 Nicolas Chauvet (kwizart) 2008-05-29 07:26:49 EDT
I will add this ^^ and fix directory ownership with

%{perl_vendorarch}/auto/*
%{perl_vendorlib}/Lingua/

But what I don't understand is that rpmbuild doesn't fail if I omit the
%{perl_vendorarch}/auto/*
Which makes me wonder, do theses files are really needed for a noarch package ?
/usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi/auto/Lingua ?
I think there is a problem with our perl packaging guideline here (probably for
noarch).

Comment 4 Nicolas Chauvet (kwizart) 2008-05-29 13:25:07 EDT
http://kwizart.fedorapeople.org/SPECS/perl-Lingua-EN-Numbers-Ordinate.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/perl-Lingua-EN-Numbers-Ordinate-1.02-2.fc8.kwizart.src.rpm
Description: Perl functions for giving the ordinal form of a number given its
cardinal value
Comment 5 Xavier Bachelot 2008-05-29 18:27:00 EDT
looks good, APPROVED.
Comment 6 Nicolas Chauvet (kwizart) 2008-05-29 19:55:19 EDT
New Package CVS Request
=======================
Package Name: perl-Lingua-EN-Numbers-Ordinate
Short Description: Perl functions for giving the ordinal form of a number given
its cardinal value
Owners: kwizart
Branches: F-8 F-9 EL-4 EL-5
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-05-30 15:38:51 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.